
Foreman - Bug #2001

Changing Loc or Org after compute resource selection give 500 error

12/05/2012 05:20 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I select an initial Location and Org :

it filters what compute resources are available.

If I select one compute resource and then change location

and pick one wich does not contains the selected cr,

I get a 500 and compute resources not refreshed.

Rendered hosts/_compute.html.erb (1.9ms)

Rendered hosts/_unattended.html.erb (4.3ms)

Rendered hosts/_form.html.erb (194.2ms)

Setting current location thread-local variable to none

Setting current organization thread-local variable to none

Operation FAILED: undefined method `new_vm' for nil:NilClass

/opt/foreman/app/models/orchestration/compute.rb:23:in `compute_object'

/opt/foreman/app/views/hosts/_compute.html.erb:1:in

`_app_views_hosts__compute_html_erb___1539370346_70368586664280_5599436'

/opt/foreman/vendor/ruby/1.8/gems/actionpack-3.0.17/lib/action_view/template.rb:135:in `send'

/opt/foreman/vendor/ruby/1.8/gems/actionpack-3.0.17/lib/action_view/template.rb:135:in `render'

/opt/foreman/vendor/ruby/1.8/gems/activesupport-3.0.17/lib/active_support/notifications.rb:54:in `ins

Related issues:

Has duplicate Foreman - Bug #2009: error 500 when trying to show a vm in an o... Duplicate 12/05/2012

Has duplicate Foreman - Bug #2006: Random 404 error in host edit page Duplicate 12/05/2012

Associated revisions

Revision 2fa95807 - 01/24/2013 07:51 AM - Joseph Magen

fixes #2001 - Changing Loc or Org after compute resource selection give 500 error

History

#1 - 12/05/2012 05:26 AM - Ohad Levy

so a possible solution would be to redirect to the index action of each controller after a org/location switch?

#2 - 12/27/2012 08:11 AM - Ohad Levy

- Assignee changed from Ohad Levy to Joseph Magen

@Joseph, I think this maybe the same bug as the one you are working on?

#3 - 01/17/2013 02:51 AM - Ohad Levy

both #2009 and this ticket happens when there is a mismatch between host direct attributes (such as subnet) and the location or org that does not

contain that subnet.

#4 - 01/24/2013 11:29 AM - Joseph Magen

- Status changed from New to Closed
https://projects.theforeman.org/issues/2009


- % Done changed from 0 to 100

Applied in changeset 2fa95807fade828e8b80b614554473c2ceffc19f.
